# Class Events
Abstract class for event handling. class Events


## Index

### Properties
* [events](_events_.events.md#events)

### Methods
* [off](_events_.events.md#off)
* [on](_events_.events.md#on)

## Properties

### Static Private events: any

* Defined in Events.ts:12


## Methods

### off(event?: string, listener?: any): [Events](_events_.events.md)
Remove an event listener.  
* Defined in Events.ts:24


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event? | string| Event type. If none is specified, remove all listeners. |
| listener? | any| Function to be removed. If none specified, remove all listeners. |

#### Returns: [Events](_events_.events.md)

### on(event: string, listener: any): [Events](_events_.events.md)
Subscribe to a specified event with a listener function.  
* Defined in Events.ts:18


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event | string| Event type |
| listener | any| Function to be called when the event is fired |

#### Returns: [Events](_events_.events.md)


Generated using [TypeDoc](http://typedoc.io)
